Groovy 1.7.0

## org.codehaus.groovy.runtime
Class GroovyCategorySupport.MyThreadLocal

    java.lang.Object
      java.lang.ThreadLocal
          org.codehaus.groovy.runtime.GroovyCategorySupport.MyThreadLocal

    class GroovyCategorySupport.MyThreadLocal
    extends ThreadLocal

Field Summary
`ConcurrentHashMap` | `usage`

Constructor Summary
`GroovyCategorySupport.MyThreadLocal()`

Method Summary
`ThreadCategoryInfo` | `getInfo()`
`AtomicInteger` | `getUsage(String name)`
`protected SoftReference` | `initialValue()`

Methods inherited from class ThreadLocal
get, remove, set, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### usage

    ConcurrentHashMap usage

Constructor Detail

### GroovyCategorySupport.MyThreadLocal

    GroovyCategorySupport.MyThreadLocal()

Method Detail

### getInfo

    public ThreadCategoryInfo getInfo()

### getUsage

    public AtomicInteger getUsage(String name)

### initialValue

    protected SoftReference initialValue()

Copyright © 2003-2009 The Codehaus. All rights reserved.